layout_on_sphere {igraph} | R Documentation

## Graph layout with vertices on the surface of a sphere

### Description

Place vertices on a sphere, approximately uniformly, in the order of their vertex ids.

### Usage

    layout_on_sphere(graph)

    on_sphere(...)

### Arguments

`graph` | The input graph.
`...` | Passed to `layout_on_sphere`.

### Details

`layout_on_sphere` places the vertices (approximately) uniformly on the surface of a sphere, this is thus a 3d layout. It is not clear however what “uniformly on a sphere” means.

If you want to order the vertices differently, then permute them using the `permute` function.

### Value

A numeric matrix with three columns, and one row for each vertex.

### Author(s)

Gabor Csardi csardi.gabor@gmail.com

### See Also

Other graph layouts: `add_layout_`, `component_wise`, `layout_as_bipartite`, `layout_as_star`, `layout_as_tree`, `layout_in_circle`, `layout_nicely`, `layout_on_grid`, `layout_randomly`, `layout_with_dh`, `layout_with_fr`, `layout_with_gem`, `layout_with_graphopt`, `layout_with_kk`, `layout_with_lgl`, `layout_with_mds`, `layout_with_sugiyama`, `layout_`, `merge_coords`, `norm_coords`, `normalize`

[Package igraph version 1.1.2 Index]